; *********************************************************************
; 				Images file
; *********************************************************************

; Include the standart tiles (IRnggs, TV, spike, ...)
; Compressed using shk
	ifeq	SMA_LIB
sprite16_image:
	incbin	"sprite.bin"
	endif
		
	ifeq	OS-SMA_LIB
; Cocote reference
; Cocote image
cocote_image
smalib@0003
	incbin "cocote.bin"
cocote_exp_image
smalib@0004:
	incbin "cocotexp.bin"
	
; Big bloc image
smalib@0001	incbin "bigbloc.bin"

; Eclat image
smalib@0005	incbin "eclat.bin"

; Compressed tiles
smalib@0006	incbin "base.shk"
		even

; Shield
smalib@0007:
	dc.w	Boucl1-smalib@0007
	dc.w	Boucl2-smalib@0007

Boucl1:	incbin "boucl1.bin"
Boucl2:	incbin "boucl2.bin"

; End panneau
smalib@0008:
panneau_image:
	dc.w	Img_pan1-panneau_image
	dc.w	Img_pan2-panneau_image
	dc.w	Img_pan3-panneau_image
	dc.w	Img_pan4-panneau_image
	dc.w	Img_pan3-panneau_image
	dc.w	Img_pan2-panneau_image

Img_pan1	incbin "panneau1.bin"
Img_pan2	incbin "panneau2.bin"
Img_pan3	incbin "panneau3.bin"
Img_pan4	incbin "panneau4.bin"

; Image table of the main player
sma_image_table:
smalib@0000:
	dc.w	wait0-sma_image_table	; 0
	dc.w	wait1-sma_image_table	; 1
	dc.w	wait2-sma_image_table	; 2
	dc.w	walk1-sma_image_table	; 3
	dc.w	walk2-sma_image_table	; 4
	dc.w	walk3-sma_image_table	; 5
	dc.w	walk4-sma_image_table	; 6
	dc.w	walk5-sma_image_table	; 7
	dc.w	walk6-sma_image_table	; 8
	dc.w	r_walk1-sma_image_table	; 9
	dc.w	r_walk2-sma_image_table	; 10
	dc.w	r_walk3-sma_image_table	; 11
	dc.w	r_walk4-sma_image_table	; 12
	dc.w	r_walk5-sma_image_table	; 13
	dc.w	r_walk6-sma_image_table	; 14
	dc.w	bump-sma_image_table	; 15
	dc.w	dead-sma_image_table	; 16
	dc.w	ouille-sma_image_table	; 17
	dc.w	down-sma_image_table	; 18
	dc.w	regarde-sma_image_table	; 19
	dc.w	boule0-sma_image_table	; 20
	dc.w	boule1-sma_image_table	; 21
	dc.w	boule0-sma_image_table	; 22
	dc.w	boule2-sma_image_table	; 23
	dc.w	boule0-sma_image_table	; 24
	dc.w	boule3-sma_image_table	; 25
	dc.w	boule0-sma_image_table	; 26
	dc.w	boule4-sma_image_table	; 27
	dc.w	run1-sma_image_table	; 28
	dc.w	run2-sma_image_table	; 29
	dc.w	run3-sma_image_table	; 30
	dc.w	run4-sma_image_table	; 31
	dc.w	r_run1-sma_image_table	; 32
	dc.w	r_run2-sma_image_table	; 33
	dc.w	r_run3-sma_image_table	; 34
	dc.w	r_run4-sma_image_table	; 35
	dc.w	equi1-sma_image_table	; 36
	dc.w	equi2-sma_image_table	; 37
	dc.w	stop1-sma_image_table	; 38
	dc.w	stop2-sma_image_table	; 39
	dc.w	speed_up1-sma_image_table	; 40
	dc.w	speed_up2-sma_image_table	; 41
	dc.w	speed_up3-sma_image_table	; 42
	dc.w	rf_walk1-sma_image_table	; 43
	dc.w	rf_walk2-sma_image_table	; 44
	dc.w	rf_walk3-sma_image_table	; 45
	dc.w	rf_walk4-sma_image_table	; 46
	dc.w	rf_walk5-sma_image_table	; 47
	dc.w	rf_walk6-sma_image_table	; 48
	dc.w	rf_run1-sma_image_table	; 49
	dc.w	rf_run2-sma_image_table	; 50
	dc.w	rf_run3-sma_image_table	; 51
	dc.w	rf_run4-sma_image_table	; 52
	dc.w	rg_walk1-sma_image_table	; 53
	dc.w	rg_walk2-sma_image_table	; 54
	dc.w	rg_walk3-sma_image_table	; 55
	dc.w	rg_walk4-sma_image_table	; 56
	dc.w	rg_walk5-sma_image_table	; 57
	dc.w	rg_walk6-sma_image_table	; 58
	dc.w	rg_run1-sma_image_table	; 59
	dc.w	rg_run2-sma_image_table	; 60
	dc.w	rg_run3-sma_image_table	; 61
	dc.w	rg_run4-sma_image_table	; 62
	dc.w	pousse-sma_image_table	;63
	dc.w	vrot12-sma_image_table	; 64
	dc.w	vrot11-sma_image_table	; 65
	dc.w	vrot10-sma_image_table	; 66
	dc.w	vrot09-sma_image_table	; 67
	dc.w	vrot08-sma_image_table	; 68
	dc.w	vrot07-sma_image_table	; 69
	dc.w	vrot06-sma_image_table	; 70
	dc.w	vrot05-sma_image_table	; 71
	dc.w	vrot04-sma_image_table	; 72
	dc.w	vrot03-sma_image_table	; 73
	dc.w	vrot02-sma_image_table	; 74
	dc.w	vrot01-sma_image_table	; 75
	dc.w	vrot02-sma_image_table	; 76
	dc.w	vrot03-sma_image_table	; 77
	dc.w	vrot04-sma_image_table	; 78
	dc.w	vrot05-sma_image_table	; 79
	dc.w	vrot06-sma_image_table	; 80
	dc.w	vrot07-sma_image_table	; 81
	dc.w	vrot08-sma_image_table	; 82
	dc.w	vrot09-sma_image_table	; 83
	dc.w	vrot10-sma_image_table	; 84
	dc.w	vrot11-sma_image_table	; 85
	dc.w	vrot12-sma_image_table	; 86
	dc.w	accro1-sma_image_table	; 87
	dc.w	accro2-sma_image_table	; 88
	dc.w	accro3-sma_image_table	; 89
	dc.w	accro4-sma_image_table	; 90
	dc.w	accro5-sma_image_table	; 91
	dc.w	accro6-sma_image_table	; 92
	dc.w	suspend-sma_image_table	; 93
	dc.w	trap1-sma_image_table	; 94
	dc.w	trap2-sma_image_table	; 95
	dc.w	trap3-sma_image_table	; 96
	dc.w	trap4-sma_image_table	; 97
	dc.w	trap5-sma_image_table	; 98
	dc.w	trap6-sma_image_table	; 99
	dc.w	trap1-sma_image_table	; 100
	dc.w	trap2-sma_image_table	; 101
	dc.w	trap3-sma_image_table	; 102

; Include the images 
; Still no uses of the compression

wait0	incbin "wait0.bin"
wait1	incbin "wait1.bin"
wait2	incbin "wait2.bin"
walk1	incbin "walk1.bin"
walk2	incbin "walk2.bin"
walk3	incbin "walk3.bin"
walk4	incbin "walk4.bin"
walk5	incbin "walk5.bin"
walk6	incbin "walk6.bin"
r_walk1	incbin "r_walk1.bin"
r_walk2	incbin "r_walk2.bin"
r_walk3	incbin "r_walk3.bin"
r_walk4	incbin "r_walk4.bin"
r_walk5	incbin "r_walk5.bin"
r_walk6	incbin "r_walk6.bin"
bump	incbin "bump.bin"
dead	incbin "dead.bin"
ouille	incbin "ouille.bin"
down	incbin "down.bin"
regarde	incbin "regarde.bin"
boule0	incbin "boule0.bin"
boule1	incbin "boule1.bin"
boule2	incbin "boule2.bin"
boule3	incbin "boule3.bin"
boule4	incbin "boule4.bin"
run1	incbin "run1.bin"
run2	incbin "run2.bin"
run3	incbin "run3.bin"
run4	incbin "run4.bin"
r_run1	incbin "r_run1.bin"
r_run2	incbin "r_run2.bin"
r_run3	incbin "r_run3.bin"
r_run4	incbin "r_run4.bin"
equi1	incbin "equi1.bin"
equi2	incbin "equi2.bin"
stop1	incbin "stop1.bin"
stop2	incbin "stop2.bin"
speed_up1 incbin "speedup1.bin"
speed_up2 incbin "speedup2.bin"
speed_up3 incbin "speedup3.bin"
rf_run1	incbin "rf_run1.bin"
rf_run2	incbin "rf_run2.bin"
rf_run3	incbin "rf_run3.bin"
rf_run4	incbin "rf_run4.bin"
rf_walk1 incbin "rf_walk1.bin"
rf_walk2 incbin "rf_walk2.bin"
rf_walk3 incbin "rf_walk3.bin"
rf_walk4 incbin "rf_walk4.bin"
rf_walk5 incbin "rf_walk5.bin"
rf_walk6 incbin "rf_walk6.bin"
rg_run1	incbin "rg_run1.bin"
rg_run2	incbin "rg_run2.bin"
rg_run3	incbin "rg_run3.bin"
rg_run4	incbin "rg_run4.bin"
rg_walk1 incbin "rg_walk1.bin"
rg_walk2 incbin "rg_walk2.bin"
rg_walk3 incbin "rg_walk3.bin"
rg_walk4 incbin "rg_walk4.bin"
rg_walk5 incbin "rg_walk5.bin"
rg_walk6 incbin	"rg_walk6.bin"
pousse	incbin	"Spous.bin"
vrot01	incbin	"vrot01.bin"
vrot02	incbin	"vrot02.bin"
vrot03	incbin	"vrot03.bin"
vrot04	incbin	"vrot04.bin"
vrot05	incbin	"vrot05.bin"
vrot06	incbin	"vrot06.bin"
vrot07	incbin	"vrot07.bin"
vrot08	incbin	"vrot08.bin"
vrot09	incbin	"vrot09.bin"
vrot10	incbin	"vrot10.bin"
vrot11	incbin	"vrot11.bin"
vrot12	incbin	"vrot12.bin"
trap1	incbin	"trap1.bin"
trap2	incbin	"trap2.bin"
trap3	incbin	"trap3.bin"
trap4	incbin	"trap4.bin"
trap5	incbin	"trap5.bin"
trap6	incbin	"trap6.bin"
suspend	incbin	"suspendu.bin"
accro1	incbin	"accro1.bin"
accro2	incbin	"accro2.bin"
accro3	incbin	"accro3.bin"
accro4	incbin	"accro4.bin"
accro5	incbin	"accro5.bin"
accro6	incbin	"accro6.bin"
tour1	incbin	"tour1.bin"
tour2	incbin	"tour2.bin"
tour3	incbin	"tour3.bin"
tour4	incbin	"tour4.bin"
tour5	incbin	"tour5.bin"
tour6	incbin	"tour6.bin"
tour7	incbin	"tour7.bin"

	endif
