; Garbesh collector & garbesh semi-collector

	NEW_SPRITE
	ADD_CAR Cpt,2
	ADD_CAR Garb_gfx,1
	ADD_CAR Garb_tst,1		; Must follow garb_gfx
	ADD_CAR	Offset2,2
	SIZE_SPRITE size_garbesh

GARBESH_TMP		EQU	15*2
SEMI_GARBESH_TMP	EQU	15

garbesh_init:
	move.w	#GARBESH_TMP,Cpt(a5)
	add.w	Len_x(a6),d3
	move.w	d3,Offset2(a5)
	rts

garbesh_exe:
	subq.w	#1,Cpt(a5)
	beq.s	\set
	rts
\set:	move.w	Offset2(a5),d0
	move.b	0(a4,d0.w),Garb_tst(a5)	; Save the test beside the garbesh
	clr.b	0(a4,d0.w)		; Clear it
	move.l	Graph_adr(a6),a0
	move.b	0(a0,d0.w),Garb_gfx(a5)	; Save the gfx beside the garbesh
	clr.b	0(a0,d0.w)		; Clear it
	lea	garbesh_exe2(Pc),a0
	move.l	a0,Exec_adr(a5)		; Set the new exe function to call
	move.l	Plan_A_adr(a6),a0	; Yes, get the adress
	jmp	genlib::refresh_plane	; and call the genlib's function

garbesh_exe2:
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	test_exit_screen.s d0,d1,d2,garbesh_outside
	rts

garbesh_outside:
	move.w  Offset(a5),d0
	move.b  #OBJ_GARBESH/4,0(a4,d0.w)	; restore garbesh
	add.w	Len_x(a6),d0			; Restore what is beside garbesh
	move.b	Garb_tst(a5),0(a4,d0.w)		; Restore tst
	move.l	Graph_adr(a6),a0
	move.b	Garb_gfx(a5),0(a0,d0.w)		; Restore graph
	bra	Destroy_sprite

semi_garbesh_init:
	clr.w	Garb_gfx(a5)		; Clear garb_gfx & garb_tst
	add.w	Len_x(a6),d3
	move.w	d3,Offset2(a5)
	rts

semi_garbesh_exe:
	move.l	d7,d0
	swap	d0			; Read internal timer
	and.w	#15,d0
	beq.s	semi_g_do_it
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	test_exit_screen.s d0,d1,d2,semi_garbesh_outside
	rts
semi_g_do_it:
	move.w	Offset2(a5),d0
	move.b	0(a4,d0.w),d1
	move.b	Garb_tst(a5),0(a4,d0.w)
	move.b	d1,Garb_tst(a5)
	move.l	Graph_adr(a6),a0
	move.b	0(a0,d0.w),d1
	move.b	Garb_gfx(a5),0(a0,d0.w)
	move.b	d1,Garb_gfx(a5)
	move.l	Plan_A_adr(a6),a0	; Yes, get the adress
	jmp	genlib::refresh_plane	; and call the genlib's function

semi_garbesh_outside:
	move.w	Offset(a5),d0
	move.b	#OBJ_SEMI_GARBESH/4,0(a4,d0.w)
	add.w	Len_x(a6),d0
	move.b	Garb_tst(a5),d1
	beq.s	\nothing
	move.b	d1,0(a4,d0.w)
\nothing:
	move.b	Garb_gfx(a5),d1
	beq.s	\nothing2
	move.l	Graph_adr(a6),a0
	move.b	d1,0(a0,d0.w)
\nothing2:
	bra	Destroy_sprite
