; Sma lib
SMA_LIB		EQU	2 ; Et pas 1 !

	include tios.h
	include os.h
	include flib.h

	xdef	_library
	xdef	smalib@0000
	xdef	smalib@0001
	xdef	smalib@0002
	xdef	smalib@0003
	xdef	smalib@0004
	xdef	smalib@0005
	xdef	smalib@0006
	xdef	smalib@0007
	xdef	smalib@0008

smalib@0002:
	movem.l	d1-d7/a0-a6,-(a7)

	move.w	d1,d3	; Copie x
	move.w	d2,d1	; Copie y
	move.w	d3,d5	; Copie maxchar
	clr.w   tios::kb_vars+$1C
	lea     Name,a0
	moveq	#0,d4
Input:	jsr     flib::idle_loop
	cmp.w	#13,d0
	beq.s	InputDone
	cmp.w	#257,d0
	beq.s	BackSpace
	cmp.w   #32,d0
	bcs.s	Input
	cmp.w	#256,d0
	bcc.s	Input
	cmp.w	d5,d4
	beq.s	Input
	move.b	d0,(a0)+
	move.w	d0,d2
	move.w	d3,d0
	bsr.s	WriteChar
	addq.w	#8,d3
	addq.w	#1,d4
	bra.s	Input
BackSpace:
	tst.w	d4
	beq.s	Input
	clr.b   -(a0)
	subq.w	#8,d3
	move.w  d3,d0
	moveq   #32,d2
	bsr.s	WriteChar
	subq.w	#1,d4
	bra.s	Input
InputDone:
	clr.b	 (a0)
	move.w	d4,d0
	movem.l	(a7)+,d1-d7/a0-a6	
	lea	Name,a0
	rts

; Print char d2.b at x=d0.w and y=d1.w
WriteChar:
	movem.l d0-d2/a0,-(a7)
	move.w	#$00FF,-(a7)
	clr.w	 -(a7)
	move.w	#$00FF,-(a7)
	move.w  #4,-(a7)
	move.w  d1,-(a7)
	move.w  d0,-(a7)
	move.w  d2,-(a7)
	jsr     tios::DrawCharXY
	lea	 14(a7),a7
	movem.l (a7)+,d0-d2/a0
	rts

	include "image.asm"

	EVEN
Rect_data:
	dc.w	$28,$19
	dc.w	$28+$9E+20,$19+$4C
	dc.w	5,6
Rect_print:
	dc.l	0
	dc.l	0

_library:	dc.b	"smalib",0

	BSS
Name	ds.b	20
	end

