; *********************************************************************
; 				Special effect
; *********************************************************************

	NEW_SPRITE
	ADD_CAR	Dhz_table,SCREEN_Y
	ADD_CAR	Hdz_table,2*SCREEN_Y
	ADD_CAR	In_table,2*16
	ADD_CAR	Dhz_adr,4
	TAILLE_SPRITE	Taille_special2
	
special2_init:
	; Generate the dhz buffer
	lea	Dhz_table(a5),a0
	move.l	a0,Dhz_B_table(a6)
	lea	(SCREEN_Y/2)(a0),a1
	move.l	a1,Dhz_adr(a5)

	moveq	#(SCREEN_Y/4-1),d0
\lp:	clr.l	(a0)+
	dbf.s	d0,\lp

	; Generate the Hdz buffer (nothing :))
	lea	Hdz_table(a5),a0
	move.l	a0,Hdz_B_table(a6)
	moveq	#(SCREEN_Y*2/4-1),d0
\loop:	clr.l	(a0)+
	dbf.s	d0,\loop

	; Generate the internal table
	lea	In_table(a5),a0
	moveq	#(2*16/4-1),d0
\lp3:	clr.l	(a0)+
	dbf.s	d0,\lp3

	; Set the scrolling
	move.l	Plan_B_adr(a6),a1
	clr.w	PLANE_YS(a1)
	clr.b	Calc_B(a6)		; No calculate Plane B

	rts

special2_exe:
	; Update the internal table
	lea	In_table(a5),a2
	move.l	a2,a1
	moveq	#(8-1),d1
	moveq	#2,d0
\loop:
	add.w	d0,(a2)+
	add.w	d0,d0
	dbf	d1,\loop

	; Update the dhz table
	move.l	Dhz_adr(a5),a0
	moveq	#(8-1),d2
\loop_r:
	move.w	(a1)+,d0
	lsr.w	#8,d0
	and.w	#15,d0
	subq.w	#8,d0

	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+
	move.b	d0,(a0)+

	dbf.s	d2,\loop_r
	
	; Calculate the coordinate of Plane B (X only !)
	move.l	Plan_A_adr(a6),a0
	move.l	Plan_B_adr(a6),a1
	move.l	Level_adr(a6),a2

	move.w	PLANE_XS(a0),d0
	move.b	d7,d1
	sub.b	SX2(a2),d1
	lsr.w	d1,d0
	move.w	d0,PLANE_XS(a1)

	rts
