; *********************************************************************
; 	Anneau aprs que le perso se fait toucher
; *********************************************************************

; Ring ...
	NEW_SPRITE
	ADD_CAR	ring_vx,2
	ADD_CAR	ring_vy,4
	ADD_CAR	ring_tmp,2
	TAILLE_SPRITE	Taille_ring
	
ring_init:
	move.w	d4,ring_vx(a5)
	move.l	#(-RING_JUMP),ring_vy(a5)
	move.l	Gfx1_adr(a6),Dessin(a5)
	move.w	#RING_TMP,ring_tmp(a5)
	rts

ring_exe:
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	add.w	ring_vx(a5),d0
	addq.w	#7,d0
	test_mur2.s <read>,ring_if_no_mur
	neg.w	ring_vx(a5)
ring_if_no_mur:
	subq.w	#7,d0
	move.w	d0,Xj(a5)
	move.l	ring_vy(a5),d2
	add.l	#PESANTEUR,d2
	move.l	d2,ring_vy(a5)
	swap	d2
	add.w	d2,d1
	move.w	d1,d4		; Save
	add.w	#16,d1
	bsr	Calcul_surface_A
	cmp.w	d1,d3
;	bhi.s	\ok
	beq.s	\ok
	neg.l	ring_vy(a5)
\ok:	move.w	d4,Yj(a5)
	subq.w	#1,ring_tmp(a5)
	beq	DestroySprite
	move.l	Sprite_adr(a6),a0
	cmp.w	#MAX_CLIGNOTEMENT/2,C_cpt(a0)
	bhi.s	ring_no_collision
	addq.w	#7,d0
	subq.w	#7,d1
	test_sonic_collision.s	d0,d1,16,16,d2,ring_no_collision
	; Ring ++ !
	addq.w	#1,Ring(a6)
	st.b	Refresh_window(a6)
	; Init Big Star
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	moveq	#SPR_BSTAR,d2
	moveq	#BSTAR_TMP,d4
	bsr	Init_sprite
	bra	DestroySprite
ring_no_collision:
	rts

ring2_exe:
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	addq.w	#7,d0
	subq.w	#7,d1
	test_sonic_collision.s	d0,d1,16,16,d2,ring2_no_collision
	; Ring ++ !
	addq.w	#1,Ring(a6)
	st.b	Refresh_window(a6)
	; Init Big Star
	move.w	Xj(a5),d0
	move.w	Yj(a5),d1
	moveq	#SPR_BSTAR,d2
	moveq	#BSTAR_TMP,d4
	bsr	Init_sprite
	; Enleve le sprite
	move.l	Clear_level_adr(a6),a0
	move.w	Offset(a5),d0
	move.w	d0,d1
	lsr.w	#3,d1
	and.w	#7,d0
	bset.b	d0,0(a0,d1.w)
	bra	DestroySprite
ring2_no_collision:
	test_exit_screen.s d0,d1,d2,Ring_end
	rts

Ring_end:
	move.w  Offset(a5),d0
	move.b  #OBJ_RING2/4,0(a4,d0.w)		; restore sprite
	bra	Destroy_sprite
	