; *********************************************************************
; 				Special effect
; Miroir sur l'eau en arriere plan
; *********************************************************************

	NEW_SPRITE
	ADD_CAR	Dhz_table,SCREEN_Y
	ADD_CAR	Hdz_table,2*SCREEN_Y
	ADD_CAR	Current_hdz,2
	ADD_CAR	Hdz_pos,2
	TAILLE_SPRITE	Taille_special6
	
special6_init:
	; Generate the dhz buffer
	lea	Dhz_table(a5),a0
	move.l	a0,Dhz_B_table(a6)
	moveq	#(SCREEN_Y/4/2-1),d0
\loop:		clr.l	(a0)+
		dbf.s	d0,\loop
	moveq	#4-1,d0
\loop_i:	moveq	#16/4-1,d1
		lea	special6_tab(Pc),a1
\loop_j:		move.l	(a1)+,(a0)+
			dbf	d1,\loop_j
		dbf	d0,\loop_i

	; Generate the Hdz buffer
	lea	Hdz_table(a5),a0
	move.l	a0,Hdz_B_table(a6)
	move.w	#-VIRTUAL_X*2,d1
	; 64 0
	moveq	#(SCREEN_Y/2-1),d0
\loop2:		clr.w	(a0)+
		dbf.s	d0,\loop2
	; 32 retour
	moveq	#(SCREEN_Y/4-1),d0
\loop3:		move.w	d1,(a0)+
		dbf.s	d0,\loop3
	; 32 retour + zoom
	moveq	#(SCREEN_Y/8-1),d0
\loop4:		move.w	d1,(a0)+
		move.w	#-VIRTUAL_X,(a0)+
		dbf.s	d0,\loop4

	;
	clr.w	Hdz_pos(a5)
	move.w	d1,Current_hdz(a5)

	; Set the scrolling
	move.l	Plan_B_adr(a6),a1
	clr.w	PLANE_YS(a1)
	clr.b	Calc_B(a6)		; No calculate Plane B
	rts

special6_exe:
	; Update the dhz table : rotation
	lea	Dhz_table+SCREEN_Y/2(a5),a0
	lea	1(a0),a1
	move.b	(a0),d3
	moveq	#(SCREEN_Y/2-2),d1
\loop2:	move.b	(a1)+,(a0)+
	dbf	d1,\loop2
	move.b	d3,(a0)

	; Update the Hdz table
	lea	Hdz_table+SCREEN_Y/2*2(a5),a0
	move.w	Hdz_pos(a5),d0
	move.w	Current_hdz(a5),0(a0,d0.w)
	addq.w	#2,d0
	and.w	#%01111110,d0
	move.w	d0,Hdz_pos(a5)
	move.w	0(a0,d0.w),Current_hdz(a5)
	clr.w	0(a0,d0.w)

	; Calculate the coordinate of Plane B (X only !)
	move.l	Plan_A_adr(a6),a0
	move.l	Plan_B_adr(a6),a1
	move.l	Level_adr(a6),a2

	move.w	PLANE_XS(a0),d0
	move.b	d7,d1
	sub.b	SX2(a2),d1
	lsr.w	d1,d0
	move.w	d0,PLANE_XS(a1)
	rts

special6_tab:
	dc.b	0,1,3,4
	dc.b	4,4,3,1
	dc.b	0,-1,-3,-4
	dc.b	-4,-4,-3,-1
